package xyz.zhouxy.plusone.util;

import org.springframework.util.StringUtils;

/**
 * 字符串工具类
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
public class PlusoneStrUtil {

    private PlusoneStrUtil() {
        throw new IllegalStateException("Utility class");
    }

    public static final String EMPTY_STR = "";

    public static String getTextOrEmpty(String value) {
        return StringUtils.hasText(value) ? value : EMPTY_STR;
    }

    public static String getStrOrEmpty(String value) {
        return StringUtils.hasLength(value) ? value : EMPTY_STR;
    }

}
