package xyz.zhouxy.plusone.system.application.common.model;

public class PlusoneContext {
    private static final ThreadLocal<AuthenticationInfo<Long>> context = new ThreadLocal<>();

    public static void setContext(AuthenticationInfo<Long> value) {
        context.set(value);
    }

    public static AuthenticationInfo<Long> getContext() {
        return context.get();
    }

    public static void remove() {
        context.remove();
    }

    private PlusoneContext() {
        throw new IllegalStateException("Utility class");
    }
}
