package xyz.zhouxy.plusone.system.application.web.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class InterceptorConfig implements WebMvcConfigurer {
    @Autowired
    HandlerInterceptor[] interceptors;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        for (var interceptor : interceptors) {
            registry.addInterceptor(interceptor);
        }
    }
}
