package xyz.zhouxy.plusone.system.application.common.exception.handler;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import xyz.zhouxy.plusone.commons.exception.handler.BaseExceptionHandler;
import xyz.zhouxy.plusone.commons.util.RestfulResult;
import xyz.zhouxy.plusone.system.application.common.exception.AccountLoginException;

@RestControllerAdvice
public class AccountLoginExceptionHandler extends BaseExceptionHandler {

    public AccountLoginExceptionHandler(ExceptionInfoHolder exceptionInfoHolder) {
        super(exceptionInfoHolder);
    }

    @ExceptionHandler({ AccountLoginException.class })
    public ResponseEntity<RestfulResult> handleException(Exception e) {
        return buildExceptionResponse(e);
    }
}
